Uploaded image for project: 'Moodle'
  1. Moodle
  2. MDL-40390

PHP warnings upon install

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 2.6
    • Fix Version/s: None
    • Component/s: Survey 2
    • Labels:
    • Affected Branches:
      MOODLE_26_STABLE

      Description

      On a local test site running Moodle 2.6dev (Build: 20130614).
      After removing "old" survey module, install Survey(2) module latest module->version = 2013062805 from git://github.com/kordan/moodle-mod_survey.git.
      Debug mode: DEVELOPER.
      Installing Survey is a HUGE install (30 plugins!). Installation halts and throws 2 warnings:
      Warning: array_combine(): Both parameters should have an equal number of elements in moodle\mod\survey\template\collesactualpreferred\lib.php on line 151
      surveytemplate_criticalincidents

      However, these warnings do not prevent Survey2 from being correctly installed.

      Warning: array_combine(): Both parameters should have an equal number of elements in moodle\mod\survey\template\criticalincidents\lib.php on line 79

        Attachments

          Activity

            People

            Assignee:
            Unassigned Unassigned
            Reporter:
            rezeau Joseph Rézeau
            Participants:
            Component watchers:
            Daniele Cordella, Amaia Anabitarte, Carlos Escobedo, Ferran Recio, Ilya Tregubov, Sara Arjona (@sarjona)
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: